unit IATimerSemiPanel;

interface

uses
  Windows,Messages,Classes,Controls;
const
  CM_NEEDBACK = CM_BASE+101;
type
  TIApanelSemiTimer = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
  public
    Dt : integer;
    AHandle : HWND;
  end;

implementation

{ Important: Methods and properties of objects in VCL can only be used in a
  method called using Synchronize, for example,

      Synchronize(UpdateCaption);

  and UpdateCaption could look like,

    procedure TIApanelSemiTimer.UpdateCaption;
    begin
      Form1.Caption := 'Updated in a thread';
    end; }

{ TIApanelSemiTimer }

procedure TIApanelSemiTimer.Execute;
var i : integer;
begin
  repeat
    postMessage(AHandle,CM_NEEDBACK,0,0);
    for i:=1 to 20 do
      begin
        sleep(Dt div 20);
        if Terminated then break;
      end;
    if Terminated then break;
  until self.Terminated;
end;

end.
